## com.google.appengine.api.memcache
Class MemcacheService.CasValues

    java.lang.Object
      com.google.appengine.api.memcache.MemcacheService.CasValues

Enclosing interface:
  MemcacheService

    public static final class MemcacheService.CasValues

extends java.lang.Object

A holder for compare and set values. `expiration` and `newValue` can be null.

Constructor Summary
`MemcacheService.CasValues(MemcacheService.IdentifiableValue oldValue, java.lang.Object newValue)`
`MemcacheService.CasValues(MemcacheService.IdentifiableValue oldValue, java.lang.Object newValue, Expiration expiration)`

Method Summary
`Expiration` `getExipration()`
`java.lang.Object` `getNewValue()`
`MemcacheService.IdentifiableValue` `getOldValue()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemcacheService.CasValues

    public MemcacheService.CasValues(MemcacheService.IdentifiableValue oldValue,
                                     java.lang.Object newValue)

### MemcacheService.CasValues

    public MemcacheService.CasValues(MemcacheService.IdentifiableValue oldValue,
                                     java.lang.Object newValue,
                                     Expiration expiration)

Method Detail

### getOldValue

    public MemcacheService.IdentifiableValue getOldValue()

### getNewValue

    public java.lang.Object getNewValue()

### getExipration

    public Expiration getExipration()